org.springframework.batch.item.support.builder

## Class ClassifierCompositeItemProcessorBuilder<I,O>

- java.lang.Object
- - org.springframework.batch.item.support.builder.ClassifierCompositeItemProcessorBuilder<I,O>

-     public class ClassifierCompositeItemProcessorBuilder<I,O>
      extends java.lang.Object

  Creates a fully qualified `ClassifierCompositeItemProcessor`.
  Since:
    4.0
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassifierCompositeItemProcessorBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassifierCompositeItemProcessor<I,O>` | `build()` Returns a fully constructed `ClassifierCompositeItemProcessor`.
    `ClassifierCompositeItemProcessorBuilder<I,O>` | `classifier(org.springframework.classify.Classifier<? super I,ItemProcessor<?,? extends O>> classifier)` Establishes the classifier that will determine which `ItemProcessor` to use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassifierCompositeItemProcessorBuilder

          public ClassifierCompositeItemProcessorBuilder()

  - ### Method Detail

    - #### classifier

          public ClassifierCompositeItemProcessorBuilder<I,O> classifier(org.springframework.classify.Classifier<? super I,ItemProcessor<?,? extends O>> classifier)

      Establishes the classifier that will determine which `ItemProcessor` to use.
      Parameters:
        `classifier` - the classifier to set
      Returns:
        this instance for method chaining
      See Also:
        `ClassifierCompositeItemProcessor.setClassifier(Classifier)`

    - #### build

          public ClassifierCompositeItemProcessor<I,O> build()

      Returns a fully constructed `ClassifierCompositeItemProcessor`.
      Returns:
        a new `ClassifierCompositeItemProcessor`